@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,300;0,400;0,600;1,300;1,400;1,600&display=swap");
*,
*::after,
*::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

button, input[type=submit], input[type=reset] {
  all: initial;
  cursor: pointer;
}
button img, input[type=submit] img, input[type=reset] img {
  display: block;
}

html, body {
  height: 100vh;
  width: 100vw;
  overflow: hidden;
  display: flex;
  font-size: 16px;
  font-family: "Josefin Sans", sans-serif;
  background: #FAFAFA;
  position: relative;
}

main {
  flex: 1;
  background-image: linear-gradient(135deg, white 0%, #fff5f5 100%);
  display: flex;
}

.mobile-only {
  display: none;
}

.container {
  background: url("../images/bg-pattern-desktop.svg");
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 66px 26.5% 162px 20%;
}
.container .content {
  margin-top: 130px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex: 1 0 auto;
  max-width: 450px;
  max-height: 405px;
}
.container .content h1 {
  color: #ce9797;
  font-size: 64px;
  text-transform: uppercase;
  font-weight: 300;
  letter-spacing: 17.5px;
  line-height: 68px;
}
.container .content h1 .subtitle {
  color: #413a3a;
  font-weight: 600;
}
.container .content p {
  color: #ce9797;
  margin-top: 23px;
  font-weight: 500;
  letter-spacing: 0.05px;
  line-height: 27px;
}
.container .content form {
  position: relative;
}
.container .content form input {
  width: 100%;
  padding: 19px 110px 19px 31px;
  border-radius: 100px;
  font-family: inherit;
  font-size: inherit;
  background: transparent;
  border: 1px solid rgba(206, 151, 151, 0.5);
}
.container .content form input::placeholder {
  color: rgba(206, 151, 151, 0.5);
}
.container .content form input:active, .container .content form input:focus {
  outline: none;
}
.container .content form #email-input-container[data-error] {
  position: relative;
}
.container .content form #email-input-container[data-error] input {
  border-color: #f96262;
  border-width: 2px;
  padding: 18px 150px 18px 31px;
}
.container .content form #email-input-container[data-error] img {
  position: absolute;
  right: 116px;
  top: 16px;
}
.container .content form #email-input-container[data-error]::after {
  content: attr(data-error);
  position: absolute;
  color: #f96262;
  bottom: -24px;
  left: 33px;
  font-size: 13px;
}
.container .content form #email-input-container:not([data-error]) img {
  display: none;
}
.container .content form button {
  position: absolute;
  background: linear-gradient(135deg, #f8bfbf 0%, #ee8c8c 100%);
  bottom: 0;
  top: 0;
  right: 0;
  padding: 0 44px;
  border-radius: 100px;
  box-shadow: 0 10px 30px 0 rgba(248, 191, 191, 0.5);
}
.container .content form button:hover {
  background: linear-gradient(135deg, #fce3e3 0%, #f4b8b8 100%);
}
.container .content form button:active {
  background: linear-gradient(135deg, #fce3e3 0%, #f4b8b8 100%);
  box-shadow: 0 10px 20px 0 #E9C4C4;
}

aside.hero img {
  height: 100vh;
  width: auto;
}

footer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 5px;
  background: white;
  color: darkblue;
  text-align: center;
  font-size: 13px;
  font-style: italic;
}

/*# sourceMappingURL=main.css.map */
